#
# spec file for package perl-tainting
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-tainting
Version:        0.01
Release:        1.1
%define cpan_name tainting
Summary:        Enable taint mode lexically
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/tainting/
Source0:        http://www.cpan.org/authors/id/S/SH/SHARYANTO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Module::Build) >= 0.360100
BuildRequires:  perl(Module::Load) >= 0.18
BuildRequires:  perl(Taint::Runtime) >= 0.03
BuildRequires:  perl(Test::Exception) >= 0.310000
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(Taint::Runtime) >= 0.03
%{perl_requires}

%description
This module provides a simpler interface to the Taint::Runtime manpage. The
idea is so that there is no functions or variables to import. Just 'use' or
'no', like the warnings manpage or the strict manpage. Tainting of '%ENV'
will be done one time automatically the first time this module is used.

Please (PLEASE) read Taint::Runtime's documentation first about the pro's
and con's of enabling/disabling tainting at runtime. TL;DR: Use -T if you
can.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Mon May 18 2015 coolo@suse.com
- initial package $version
  * created by $NAME $VERSION
